Method: accounts.programs.ucpSettings.updateUcpSettings

Patches the UCP settings for a Merchant Center account.

This is a non-blocking API. It queues the validation process asynchronously and returns immediately. If the validation succeeds, the settings will be stored.

HTTP request

PATCH https://merchantapi.googleapis.com/accounts/v1alpha/{ucpSettings.name=accounts/*/programs/*/ucpSettings}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
ucpSettings.name

string

Identifier. The resource name of the UcpSettings. Format: accounts/{account}/programs/{program}/ucpSettings

Query parameters

Parameters
updateMask

string (FieldMask format)

Required. The list of fields to patch. If the updateMask is missing or empty, the service will reject the request with an INVALID_ARGUMENT error.

Request body

The request body contains an instance of UcpSettings.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/content

For more information, see the OAuth 2.0 Overview.